GET /api/v1/profile/{dataModelName}/{Id}/calculated-insights/{ci-name}
Returns data model objects and a computed view based on indexes and search filters.
Syntax
- HTTP method
- GET
- Availability
- Data Cloud v1.0, Salesforce v51.0
- Formats
- REST
- URI
- /api/v1/profile/{dataModelName}/{Id}/calculated-insights/{ci-name}
Request Parameters
| Field Name | Description |
|---|---|
| ci_name |
|
| dataModelName |
|
| dimensions |
|
| filters |
|
| id |
|
| limit |
|
| measures |
|
| offset |
|
| orderby |
|
| searchKey |
|
| timeGranularity |
|
Examples
- Request
-
1https://{TSE}.360a.salesforce.com/api/v1/profile/{dataModelName}/{Id}/calculated-insights/{ci-name} - Response
-
1{ 2 "data": [ 3 { 4 "GenderId__c": "F", 5 "Id__c": "05d01a06-0c61-3990-808d-2aa602dd3e7f", 6 "Occupation__c": "Staffing", 7 "FirstName__c": "Don" 8 }, 9 { 10 "GenderId__c": "M", 11 "Id__c": "11bcc846-1a80-3293-8cc4-3449835d8d4c", 12 "Occupation__c": "Operational", 13 "FirstName__c": "Don" 14 }, 15 { 16 "GenderId__c": "M", 17 "Id__c": "18213566-df86-34a8-97aa-2cb75b70ae3b", 18 "Occupation__c": "Organizational", 19 "FirstName__c": "Don" 20 } 21 ], 22 "done": false 23}
HTTP Responses
| Response | Reason |
|---|---|
| 200 OK | Callback successfully verified. |
| 400 Bad Request | Invalid request. |
| 403 Forbidden | Failed to pass authorization. |
| 404 Not Found | Incorrect callback ID, verification key, or both. |
| 422 Unprocessable Entity | Attribute name used in fields/filter parameter doesn’t exist. |
| 500 Server Error | Internal error. |